MyGUI::ConsoleLogListener Class Reference

`#include <MyGUI_ConsoleLogListener.h>`

Inheritance diagram for MyGUI::ConsoleLogListener:
[legend]

## Public Member Functions

void | log (std::string_view _section, LogLevel _level, const struct tm *_time, std::string_view _message, std::string_view _file, int _line) override
bool | getEnabled () const
void | setEnabled (bool _value)
Public Member Functions inherited from MyGUI::ILogListener
virtual | ~ILogListener ()=default
virtual void | open ()
virtual void | close ()
virtual void | flush ()

## Detailed Description

Definition at line 16 of file MyGUI_ConsoleLogListener.h.

## Member Function Documentation

## getEnabled()

bool MyGUI::ConsoleLogListener::getEnabled | ( |  | ) | const

Is log listener enabled.

Definition at line 25 of file MyGUI_ConsoleLogListener.cpp.

## log()

void MyGUI::ConsoleLogListener::log | ( | std::string_view | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | std::string_view | _message,
|  | std::string_view | _file,
|  | int | _line )

override virtual

Log message.

Reimplemented from MyGUI::ILogListener.

Definition at line 13 of file MyGUI_ConsoleLogListener.cpp.

## setEnabled()

void MyGUI::ConsoleLogListener::setEnabled | ( | bool | _value | ) |

Enable or disable log listener.

Definition at line 30 of file MyGUI_ConsoleLogListener.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ConsoleLogListener.h
- MyGUI_ConsoleLogListener.cpp